function y=gen_cerveza(t,N,GENSIZE,TimeI,TempI,PasoTiempo,TempInit)

%GEN_cerveza		Function that generates genes for the cerveza problem
%
% POP=GEN_cerveza(T,N,[],TimeInterval,Temperatureinterval) 
%
% It generates N individuals (cell matrix)
% POP{i}=[ Tprofile
%			  Interval 
%							]
% TimeInterval:	TimeInterval(1)<sum(Interval)< TimeInterval(2)
% TemperatureInterval:	Temperatureinterval(1) < Tprofile < Temperatureinterval
%
% T is not used but needs to be an input parameter to mantain the header for the FUNGEN functions
%
% See also IS_NEW, GA_NEWPOP

% APRENDIZAJE AUTOMÁTICO (G. Pajares y J. M. de la Cruz, Eds.)
% Editorial: RA-MA
% Capítulo 9: El Aprendizaje con Algoritmos Genéticos
% Autores: Bonifacio de Andres y Toro


TimeI=TimeI(:)/PasoTiempo;
TiempoN=round(rand([N,1])*(TimeI(2)-TimeI(1)) + TimeI(1));
TempI=TempI(:);
y=cell(N,1);
for i=1:N
   randaux=rand(TiempoN(i),1);
   j=1;
   q=zeros(1,TiempoN(i));
   while TiempoN(i)>0
      q(j)=round(randaux(j)*(TiempoN(i)-1)) + 1;
      TiempoN(i)=TiempoN(i)-q(j);
      j=j+1;
   end
   q=q(1:j-1);
   [aaa,ind]=sort(rand(1,j-1));
   q=q(ind);
   y{i}=[round(10*(rand([1,j])*(TempI(2)-TempI(1)) + TempI(1)))/10;q*PasoTiempo,0];
   y{i}(1,1)=TempInit;
end
